Holger's Java API

## com.antelmann.image
Enum Barcode4j.Type

    java.lang.Object
      java.lang.Enum<Barcode4j.Type>
          com.antelmann.image.Barcode4j.Type

All Implemented Interfaces:
  Serializable, Comparable<Barcode4j.Type>

Enclosing class:
  Barcode4j

    public static enum Barcode4j.Type

extends Enum<Barcode4j.Type>

Enum Constant Summary
`CODABAR`
`CODE128`
`CODE39`
`DATA_MATRIX`
`EAN128`
`EAN13`
`EAN8`
`INTERLEAVED2OF5`
`ITF14`
`PDF417`
`POSTNET`
`ROYAL_MAIL`
`UPCA`
`UPCE`
`UPCEAN`
`UPCEB`
`USPS`

Method Summary
`org.krysalis.barcode4j.BarcodeGenerator` `getGenerator()`
`static Barcode4j.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Barcode4j.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATA_MATRIX

    public static final Barcode4j.Type DATA_MATRIX

### PDF417

    public static final Barcode4j.Type PDF417

### CODE128

    public static final Barcode4j.Type CODE128

### CODE39

    public static final Barcode4j.Type CODE39

### CODABAR

    public static final Barcode4j.Type CODABAR

### EAN128

    public static final Barcode4j.Type EAN128

### EAN8

    public static final Barcode4j.Type EAN8

### EAN13

    public static final Barcode4j.Type EAN13

### INTERLEAVED2OF5

    public static final Barcode4j.Type INTERLEAVED2OF5

### ITF14

    public static final Barcode4j.Type ITF14

### POSTNET

    public static final Barcode4j.Type POSTNET

### ROYAL_MAIL

    public static final Barcode4j.Type ROYAL_MAIL

### UPCA

    public static final Barcode4j.Type UPCA

### UPCE

    public static final Barcode4j.Type UPCE

### UPCEAN

    public static final Barcode4j.Type UPCEAN

### UPCEB

    public static final Barcode4j.Type UPCEB

### USPS

    public static final Barcode4j.Type USPS

Method Detail

### values

    public static Barcode4j.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Barcode4j.Type c : Barcode4j.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Barcode4j.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getGenerator

    public org.krysalis.barcode4j.BarcodeGenerator getGenerator()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads